commit 00399695cb3ea9715162b6a15c0d7b185ac384d2 (HEAD, tag: v1.51.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-13

    Update manual pages

commit f8e014de40ac67e30882a27189b6d8a9e754de8e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-13

    Bump package and library versions

commit 172159305c0fe5b508a567ba3f05e7e1f85aa33f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-13

    Update AUTHORS

commit aa607875b046e3968bedfb96df8b05f36011d000
Merge: 5929aeb4 954d49f7
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-13

    Merge pull request #1832 from nghttp2/h3-integration-test
    
    Add http3 integration test

commit 954d49f7a0ae1824f205c446157d56e3b4c70428
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-12

    Add http3 integration test

commit 5929aeb47c9690f1c0a693a56ad80d1f03f45f43
Merge: 0fb2c6f4 b990df49
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-12

    Merge pull request #1831 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2

commit b990df49d6588ab200e2b21a1f7037f6c701063d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-12

    Bump boringssl

commit 2aa9d61ae228ff0e9dfc898abb18ed7d0df07434
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-12

    Bump ngtcp2 to v0.11.0

commit 0fb2c6f4f48f03e1f82f9d3087810845e996891a
Merge: bea6cae0 1c9817af
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-12

    Merge pull request #1830 from nghttp2/bump-libbpf
    
    Bump libbpf to v1.0.1

commit 1c9817af0d29f04e94f38186feb3f3a3c8d08ddc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-12

    Bump libbpf to v1.0.1

commit bea6cae0d560be305f01825a27a214967e38c24a
Merge: 266a3d84 804ce364
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-11

    Merge pull request #1829 from nghttp2/disable-python-bindings
    
    Disable python bindings

commit 804ce364bf7b9346641c5ac2f3cdaef27e853218
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-11

    Disable python bindings properly by default
    
    Disable python bindings properly by default.  This commit amends
    b63705384a3db3f29e0972ad3b3330733d2e6d96.

commit 83d7fb7fdd11454b49ea6674cdfe185c022656b4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-11

    Revert "workflow: Disable python bindings"
    
    This reverts commit ddd40bae06f93468c0d64c07a0626f8641d16bbd.

commit 266a3d84e47cd17629cdee3f1cecd9940bbea2a2
Merge: e91de24b b062e9f6
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-09

    Merge pull request #1828 from nghttp2/bump-openssl
    
    Bump OpenSSL versions

commit e91de24be6ba05b4c1086e2f0ca0ff10d420f859
Merge: 971d3552 f56448be
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-09

    Merge pull request #1827 from nghttp2/bump-llhttp
    
    Bump llhttp

commit b062e9f66cc0b29c3d100276623753c371902627
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-09

    Bump OpenSSL versions

commit f56448be602b70e2dd8542c8b26ae218ef809a5d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-09

    Deal with llhttp incompatible changes

commit 17aa7b6a61f9cc5b3f44f56ce72211b054a6c8f6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-09

    Bump llhttp to 85dd446419966cafb5a7fdd5031e3113a0768e65

commit 971d3552c7795605479f4bea497dbeb90b3da453
Merge: cb11cfcd ddd40bae
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-11-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-11-09

    Merge pull request #1826 from nghttp2/workflow-disable-python-bindings
    
    workflow: Disable python bindings

commit ddd40bae06f93468c0d64c07a0626f8641d16bbd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-11-09

    workflow: Disable python bindings
    
    Disable python bindings because it has been deprecated, and mac OS
    build with python binding is broken.

commit cb11cfcd2c3d434da91538722a7692fe0ff0d8e9
Merge: 11632d3c 5eed83ee
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-20

    Merge pull request #1822 from vszakats/warnfix
    
    add casts to silence implicit conversion warnings

commit 5eed83ee177b95f86eab793660cbea50841dc941
Author:     Viktor Szakats <commit@vsz.me>
AuthorDate: 2022-10-19
Commit:     Viktor Szakats <commit@vsz.me>
CommitDate: 2022-10-19

    add casts to silence implicit conversion warnings
    
    Fixes #1821

commit 11632d3c2c1a6215ab12a80948c99d7733ddd656
Merge: 3b21fbaf 8c70d9c2
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-18

    Merge pull request #1819 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2

commit 8c70d9c2e136a1c031a57e56a2d4f93dbaeebc44
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-18

    Bump ngtcp2

commit 3b21fbaf0330f3c898762191c651573d9d2eb211
Merge: 2f71f5c3 5abafb42
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-18

    Merge pull request #1818 from nghttp2/fix-nghttpx-affinity-cookie-stickiness
    
    nghttpx: Fix affinity-cookie-stickiness parameter handling

commit 5abafb42682fe6c04ad95d9488c732281ad3af95
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-18

    nghttpx: Fix affinity-cookie-stickiness parameter handling
    
    Fix affinity-cookie-stickiness backend parameter handling.
    Previously, if 3 backend options are used for the same pattern, and
    the first one does not have affinity-cookie-stickiness, and the rest
    of them have affinity-cookie-stickiness=strict, nghttpx wrongly
    determines that they have inconsistent configurations.

commit 2f71f5c3c9a46123087bc808957db874eceee07d
Merge: 8e120de5 3f65ab78
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-16

    Merge pull request #1816 from nghttp2/update-doc
    
    Update doc

commit 3f65ab78711a791978844d6bb13a5f2f81aa677f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-16

    Update doc
    
    Remove outdated text

commit 8e120de5bdfff40c88e9fb020df9be7307ba94cd
Merge: 93f1096d 8a355db8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-04

    Merge pull request #1814 from nghttp2/workflow-bump-compilers
    
    Workflow bump compilers

commit 8a355db8d92c983f36e0b5821444f5c084b28397
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-04

    Fix compile error with gcc-12

commit 93f1096de397501158d74b26b71fa76dc8588e14
Merge: f190afd0 61caf66f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-04

    Merge pull request #1813 from nghttp2/test-fix-tz
    
    Fix test failure on Linux if tz database is not available

commit f190afd0c0725cc52385dc6a65575df49b796883
Merge: 6c45e943 c56cda05
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-04

    Merge pull request #1812 from nghttp2/update-ubuntu-packages
    
    Update Ubuntu packages based on Ubuntu 22.04

commit ebef6b5ced85a91ad75bcfc921fd8b04b0d3ab6e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-04

    workflow: Bump compilers

commit 6c45e943b0a8a94ee1e9000ea263c6671eb31b9b
Merge: 7380ff35 b6370538
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-04

    Merge pull request #1811 from nghttp2/disable-python
    
    Disable python bindings by default because it has been deprecated

commit 61caf66f1b002105e5603fba030de57d445330a8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-04

    Fix test failure on Linux if tz database is not available

commit c56cda058e7e8064743da6f12955d9ab73c3b439
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-04

    Update Ubuntu packages based on Ubuntu 22.04

commit b63705384a3db3f29e0972ad3b3330733d2e6d96
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-04

    Disable python bindings by default because it has been deprecated

commit 7380ff35514f304c466768cc959c6cc881618070
Merge: 634e65df bfba6764
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-10-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-10-02

    Merge pull request #1809 from nghttp2/update-doc-h2-rfc
    
    Update README to mention new HTTP/2 RFC

commit bfba6764e07f0b172e7df381a3984f9c8fa635dd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-10-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-10-02

    Update README to mention new HTTP/2 RFC

commit 634e65df64b9dc62208e7d3304f01d85c2b715fa
Merge: 03636069 011fbf7f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-09-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-27

    Merge pull request #1807 from nghttp2/nghttpx-add-missing-exit
    
    nghttpx: Add missing DIE()

commit 011fbf7f1041d8f6f4241bbbceba42d89f816b3b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-27

    nghttpx: Add missing DIE()

commit 036360692413f8b3d335140c00ce288fc5c684cb
Merge: 958d9ac6 40c79223
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-09-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-26

    Merge pull request #1806 from nghttp2/update-android-build-doc
    
    Update android build documentation

commit 40c79223866b1c51383a43231b27d1539fc56f74
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-26

    Update android build documentation

commit 958d9ac63b7f4f1b4aa17ad2cd86c84f6fd8a4b5
Merge: 77449a94 c06f1e99
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-09-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-26

    Merge pull request #1805 from nghttp2/dockerfile-android-improvements
    
    Dockerfile android improvements

commit c06f1e997448bef19ba65afbed5d48e4ea44df7d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-26

    Remove --with-xml-prefix

commit d3381233b10b82a05369b353664bbaf339ff7e05
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-26

    Do not create OpenSSL shared library

commit 6d88da58f193d5310cc579c8792a12bc09a69939
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-26

    PATH is required by OpenSSL only

commit 77449a9477cb3a3d4c3d53fd2f234dca3f0e70c7
Merge: dd63d1df 116feb4a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-09-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-26

    Merge pull request #1804 from nghttp2/update-dockerfile-android
    
    Bump NDK and others to the latest

commit 116feb4a8cf9f0aec85799b66257c72344d4bd87
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-25

    Bump NDK and others to the latest
    
    The latest nghttp2 release version cannot be built with the latest
    NDK.  The nghttp2 version in Dockerfile points to master for now.

commit dd63d1df424a3081f3b7eed45183eeaa78435631
Merge: 4bfd8029 c47fa08b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-09-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-25

    Merge pull request #1802 from PufferBlue/patch-1
    
    Update dependency versions for Dockerfile.android

commit c47fa08b40c3058f5a8b29b0ff1d6f3d019a0ec9
Author:     PufferOverflow <puffer@puffer.blog>
AuthorDate: 2022-09-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-09-23

    Update dependency versions for Dockerfile.android

commit 4bfd802937c2723a1d27b5a3abb415d7f96656dc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-09-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-09-21

    Bump package version
